Subject: bug#39101: asymptote build fails: Math formula deleted: Insufficient symbol fonts.

From: Pierre Neidhardt <[email-masked]>
Date: Sun, 12 Jan 2020 15:58:26 +0100

Asymptote only succeeds building randomly on Berlin.  On my machine, it
systematically fails with

--8<---------------cut here---------------start------------->8---
$ guix build --check --no-grafts asymptote
[...]
starting phase `install'
if test ! -s revision.cc || test "2.61" != "2.61"; then \
  echo "const char *REVISION="\"2.61\"\; > revision.cc; \
  echo const char *AsyGLVersion=\"1.00\"\; >> revision.cc; \
  if test ! -e base/webgl/asygl.js; then \
    cp base/webgl/asygl-1.00.js base/webgl/asygl.js; \
  fi \
fi
g++ -Wall -DHAVE_CONFIG_H -D_FILE_OFFSET_BITS=64 -DUSEGC  -pthread -DFFTWPP_SINGLE_THREAD  -I/gnu/store/3xs3dnc28p9fi8in7hkfcdx20incrdvq-libgc-7.6.12/include/gc -I/usr/include/tirpc -std=c++11 -g -O3 -fno-var-tracking -o revision.o -c revision.cc;
echo string VERSION=\"2.61\"\; > base/version.asy
echo @set VERSION 2.61 > doc/version.texi
echo @set Datadir /gnu/store/6x374bczmq65fr7qglqxwjhhwlqjlyq1-asymptote-2.61/share >> doc/version.texi
echo "#!/usr/bin/env python3" > GUI/xasyVersion.py
echo xasyVersion = \"2.61\" >> GUI/xasyVersion.py
if test -n ""; then \
  cat asy.rc | sed -e "s/ASYMPTOTE_VERSION/2.61/" | \
  windres -o asy.o; \
fi
if test -n ""; then \
          g++ -Wall -DHAVE_CONFIG_H -D_FILE_OFFSET_BITS=64 -DUSEGC  -pthread -DFFTWPP_SINGLE_THREAD  -I/gnu/store/3xs3dnc28p9fi8in7hkfcdx20incrdvq-libgc-7.6.12/include/gc -I/usr/include/tirpc -std=c++11 -g -O3 -fno-var-tracking -o asy camperror.o path.o drawpath.o drawlabel.o picture.o psfile.o texfile.o util.o settings.o guide.o flatguide.o knot.o drawfill.o path3.o drawpath3.o drawsurface.o beziercurve.o bezierpatch.o pen.o pipestream.o types.o builtin.o gsl.o runtime.o runbacktrace.o runpicture.o runlabel.o runhistory.o runarray.o runfile.o runsystem.o runpair.o runtriple.o runpath.o runpath3d.o runstring.o runmath.o env.o genv.o stm.o dec.o errormsg.o callable.o name.o symbol.o entry.o exp.o newexp.o stack.o camp.tab.o lex.yy.o access.o virtualfieldaccess.o absyn.o record.o interact.o fileio.o fftw++asy.o simpson.o coder.o coenv.o impdatum.o locate.o parser.o program.o application.o varinit.o fundec.o refaccess.o envcompleter.o process.o constructor.o array.o Delaunay.o predicates.o PRCbitStream.o oPRCFile.o PRCdouble.o writePRC.o glrender.o tr.o shaders.o jsfile.o main.o revision.o asy.o    glew.o  -lglut -lrt -lz -L/gnu/store/3xs3dnc28p9fi8in7hkfcdx20incrdvq-libgc-7.6.12/lib -lgc -lreadline  -ltermcap -lfftw3 -lgsl -lgslcblas -lGL    -lgdi32 -lwinmm -s -static; \
else \
  ln -sf GUI/xasy.py xasy; \
  g++ -Wall -DHAVE_CONFIG_H -D_FILE_OFFSET_BITS=64 -DUSEGC  -pthread -DFFTWPP_SINGLE_THREAD  -I/gnu/store/3xs3dnc28p9fi8in7hkfcdx20incrdvq-libgc-7.6.12/include/gc -I/usr/include/tirpc -std=c++11 -g -O3 -fno-var-tracking -o asy camperror.o path.o drawpath.o drawlabel.o picture.o psfile.o texfile.o util.o settings.o guide.o flatguide.o knot.o drawfill.o path3.o drawpath3.o drawsurface.o beziercurve.o bezierpatch.o pen.o pipestream.o types.o builtin.o gsl.o runtime.o runbacktrace.o runpicture.o runlabel.o runhistory.o runarray.o runfile.o runsystem.o runpair.o runtriple.o runpath.o runpath3d.o runstring.o runmath.o env.o genv.o stm.o dec.o errormsg.o callable.o name.o symbol.o entry.o exp.o newexp.o stack.o camp.tab.o lex.yy.o access.o virtualfieldaccess.o absyn.o record.o interact.o fileio.o fftw++asy.o simpson.o coder.o coenv.o impdatum.o locate.o parser.o program.o application.o varinit.o fundec.o refaccess.o envcompleter.o process.o constructor.o array.o Delaunay.o predicates.o PRCbitStream.o oPRCFile.o PRCdouble.o writePRC.o glrender.o tr.o shaders.o jsfile.o main.o revision.o   glew.o  -lglut -lrt -lz -L/gnu/store/3xs3dnc28p9fi8in7hkfcdx20incrdvq-libgc-7.6.12/lib -lgc -lreadline -lncurses -lfftw3 -lgsl -lgslcblas -lGL   ; \
fi
Creating asy-keywords.el
./asy -dir base -config "" -render=0 -l > asy.list
ls base/*.asy | grep -v plain\* | \
          grep -v three_\* | grep -v featpost3D | xargs ./asy -dir base -config "" -render=0 -l >> asy.list
perl ./asy-list.pl asy.list 2.61
cd doc && make asy-latex.pdf
make[1]: Entering directory '/tmp/guix-build-asymptote-2.61.drv-0/asymptote-2.61/doc'
pdflatex asy-latex.dtx
This is pdfTeX, Version 3.14159265-2.6-1.40.19 (TeX Live 2018) (preloaded format=pdflatex)
 restricted \write18 enabled.
entering extended mode
(./asy-latex.dtx
LaTeX2e <2018-04-01> patch level 2
(/gnu/store/21mmsf9y6wjb1lj8kphdc1mqdgp00xrd-texlive-union-49435/share/texmf-dist/tex/latex/base/docstrip.tex
Utility: `docstrip' 2.5e <2014/09/29>
English documentation    <2017/03/13>

**********************************************************
* This program converts documented macro-files into fast *
* loadable files by stripping off (nearly) all comments! *
**********************************************************

********************************************************
* No Configuration file found, using default settings. *
********************************************************

)Input index file asy-latex.idx not found.
Usage: makeindex [-ilqrcgLT] [-s sty] [-o ind] [-t log] [-p num] [idx0 idx1 ...]
system returned with code 256
Input index file asy-latex.glo not found.
Usage: makeindex [-ilqrcgLT] [-s sty] [-o ind] [-t log] [-p num] [idx0 idx1 ...]
system returned with code 256

Generating file(s) ./asymptote.sty 

Processing file asy-latex.dtx (pkg) -> asymptote.sty
Lines  processed: 722
Comments removed: 282
Comments  passed: 0
Codelines passed: 424

Generating file(s) ./asy-latex.ins 

Processing file asy-latex.dtx (batchfile) -> asy-latex.ins
Lines  processed: 722
Comments removed: 282
Comments  passed: 0
Codelines passed: 424

(/gnu/store/21mmsf9y6wjb1lj8kphdc1mqdgp00xrd-texlive-union-49435/share/texmf-dist/tex/latex/base/ltxdoc.cls
Document Class: ltxdoc 2018/03/15 v2.0x Standard LaTeX documentation class
(/gnu/store/21mmsf9y6wjb1lj8kphdc1mqdgp00xrd-texlive-union-49435/share/texmf-dist/tex/latex/base/article.cls
Document Class: article 2014/09/29 v1.4h Standard LaTeX document class
(/gnu/store/21mmsf9y6wjb1lj8kphdc1mqdgp00xrd-texlive-union-49435/share/texmf-dist/tex/latex/base/size10.clo)) (/gnu/store/21mmsf9y6wjb1lj8kphdc1mqdgp00xrd-texlive-union-49435/share/texmf-dist/tex/latex/base/doc.sty (/gnu/store/21mmsf9y6wjb1lj8kphdc1mqdgp00xrd-texlive-union-49435/share/texmf-dist/tex/latex/tools/multicol.sty)))
Writing index file asy-latex.idx
No file asy-latex.aux.
(./asy-latex.dtx
! Math formula deleted: Insufficient symbol fonts.
\endtabular ->\crcr \egroup \egroup $
                                     \egroup 
l.60 % \maketitle
                 
? 
! Emergency stop.
\endtabular ->\crcr \egroup \egroup $
                                     \egroup 
l.60 % \maketitle
                 
!  ==> Fatal error occurred, no output PDF file produced!
Transcript written on asy-latex.log.
make[1]: *** [Makefile:20: asy-latex.pdf] Error 1
make[1]: Leaving directory '/tmp/guix-build-asymptote-2.61.drv-0/asymptote-2.61/doc'
make: *** [Makefile:183: sty] Error 2
command "make" "install" failed with status 2
builder for `/gnu/store/n96jkms4b54jl7g261qk9ykrx6pdfdrl-asymptote-2.61.drv' failed with exit code 1
build of /gnu/store/n96jkms4b54jl7g261qk9ykrx6pdfdrl-asymptote-2.61.drv failed
--8<---------------cut here---------------end--------------->8---

-- 
Pierre Neidhardt
https://ambrevar.xyz/